Skip to main content
POST
/
webhooks
/
simulate
Simulate Webhook
curl --request POST \
  --url https://api.fyatu.com/api/v2/webhooks/simulate \
  --header 'Authorization: Bearer <token>' \
  --header 'Business-ID: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "transaction"
}
'
{
  "status": "success",
  "statusCode": 200,
  "errors": false,
  "message": "<string>",
  "data": {
    "webhookUrl": "<string>",
    "method": "<string>",
    "responseCode": 123,
    "payload": {}
  }
}

Authorizations

Business-ID
string
header
required

Your unique business identifier. Find this in your Business Settings.

Authorization
string
header
required

Your API key as a Bearer token. Example: Bearer sk_live_xxxxxxxxxxxxx

Body

application/json
type
enum<string>
required

Type of webhook event to simulate

Available options:
transaction,
maintenance,
unloaded,
terminated

Response

Webhook sent

status
string
Example:

"success"

statusCode
integer
Example:

200

errors
boolean
Example:

false

message
string
data
object